Subject: [MEXT] IKEv1 +/vs IKEv2 [Was: Re: Document Shepherd review of draft-ietf-mext-rfc3775bis-05]

From: Jean-Michel Combes <[email-masked]>
Date: Thu, 8 Apr 2010 15:03:58 +0200

Hi,

Knowing that,
- There is no interoperability between IKEv1 and IKEv2
- "RFC 2401 & Co" family has an "obsoleted by" status now
- IIRC, all features for MIPv6 are only based on IKEv2 (e.g.
bootstrapping in the split scenario)
IMHO, all references about IKEv1 should be removed.

Comments?

Thanks.

Best regards.

JMC.

2010/4/5 Charles E. Perkins <[email-masked]>:
>
> Hello Julien,
>
> Comments below:
>
> On 4/1/2010 10:49 AM, Laganier, Julien wrote:
>
[snip]

>
>> Section 18.2 Informative References:
>> ------------------------------------
>>
>>    [44]  Kaufman, C., "Internet Key Exchange (IKEv2) Protocol",
>>          RFC 4306, December 2005.
>>
>>    [45]  Devarapalli, V. and F. Dupont, "Mobile IPv6 Operation with
>>          IKEv2 and the Revised IPsec Architecture", RFC 4877,
>>          April 2007.
>>
>> These two references should be normative (references to RFC 2409 and
>> RFC 3776 are.) Also, is it really the intent that we keep IKEv1 as
>> an alternative to IKEv2 in this specification?
>
> I'll be happy to fix this according to whatever
> people decide.  I'm assuming that "normative" does
> not mean "must implement".
>
> Regards,
> Charlie P.
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext
>

---

From: [email-masked] (Arnaud Ebalard)
Date: Thu, 08 Apr 2010 15:18:27 +0200

Hi,

> IMHO, all references about IKEv1 should be removed.

RFC 4877 updates but does not obsolete RFC 3776. RFC 3776 is based on
IKEv1 (at least for some of the details). As much as possible, IKE (with
no version) should be used. Nonetheless, both 3776 and 4877 should be
considered when implementing IPsec/IKE with MIPv6.

That being said, the references to 3776 found in the introduction of
4877 may be sufficient to point developers to the initial document so
FWIW I am also fine w/ removing the references to IKEv1.

a+

---

From: "Laganier, Julien" <[email-masked]>
Date: Thu, 8 Apr 2010 07:37:43 -0700

> FWIW I am also fine w/ removing the references to IKEv1.

This is what would make sense IMHO. 

--julien

---

From: Wassim Haddad <[email-masked]>
Date: Thu, 8 Apr 2010 11:09:56 -0400

=> +1

Wassim H.

---

From: <[email-masked]>
Date: Thu, 8 Apr 2010 21:40:51 +0200

Agree with the proposal to remove IKEv1 references.

-Raj

---

From: "Laganier, Julien" <[email-masked]>
Date: Thu, 15 Apr 2010 10:16:31 -0700

All,

My reading of the current list discussion seems to indicate that rough consensus (JMC, Arnaud, Wassim, Raj and myself vs. nobody) is to remove references to IKEv1. Other thoughts on the topic?

--julien

---

From: Jari Arkko <[email-masked]>
Date: Thu, 15 Apr 2010 21:47:55 +0300

I'm fine with that as well.

Jari

---

From: Ryuji Wakikawa <[email-masked]>
Date: Thu, 15 Apr 2010 13:57:20 -0700

> I'm fine with that as well.

+1

ryuji

---

From: "Laganier, Julien" <[email-masked]>
Date: Wed, 28 Apr 2010 11:45:25 -0700

Folks,

I am going to declare rough consensus for to remove references to IKEv1 tomorrow COB PDT. It's time to speak up if you disagree.

--julien

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Laganier, Julien
> Sent: Thursday, April 15, 2010 10:17 AM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: [MEXT] IKEv1 +/vs IKEv2 [Was: Re: Document Shepherd review
> of draft-ietf-mext-rfc3775bis-05]
> 
> All,
> 
> My reading of the current list discussion seems to indicate that rough
> consensus (JMC, Arnaud, Wassim, Raj and myself vs. nobody) is to remove
> references to IKEv1. Other thoughts on the topic?
> 
> --julien
>

---

From: "Devarapalli, Vijay" <[email-masked]>
Date: Wed, 28 Apr 2010 23:53:40 -0500

Folks,

IKEv1 has not been obsoleted. Similary, RFC 3776 is not obsolete either. If
someone wants to use IKEv1 with MIPv6, then RFC 3776 is still useful.

Having said that, I am fine with 3775bis using IKEv2 only. But we should add
a sentence saying, if someone wants to use IKEv1 with MIPv6, please see [RFC
3776].

Vijay

---

From: "Laganier, Julien" <[email-masked]>
Date: Thu, 29 Apr 2010 07:38:12 -0700

Vijay,

Devarapalli, Vijay wrote:
> 
> Folks,
> 
> IKEv1 has not been obsoleted. Similary, RFC 3776 is not obsolete either.
> If someone wants to use IKEv1 with MIPv6, then RFC 3776 is still useful.

Actually IKEv1 & Co. [RFC2407, RFC2408, RFC2409] are obsoleted by IKEv2 [RFC4306].

As to RFC3776, whether or not it's still useful, it is referenced by RFC 4877, which is itself referenced in 3775bis, so it seems we're on the safe side.   

--julien

> Having said that, I am fine with 3775bis using IKEv2 only. But we should
> add a sentence saying, if someone wants to use IKEv1 with MIPv6, please see
> [RFC3776].
> 
> Vijay
> 
>